%define name mintmenu
%define version 5.2.2
%define release %mkrel 1

Summary: Advanced Gnome menu
Summary(de): Erweitertes Gnomemenü (Mintmenu)
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPLv2
BuildArch: noarch
Group:   Graphical desktop/GNOME
Source0: http://packages.linuxmint.com/pool/main/m/mintmenu/%{name}_%{version}.tar.xz
Source1: locale.tar.bz2
Source2: pclos.png
Patch0:  mintremove.patch
Patch3:  thewholeshebang.patch
Patch4:  mintmenu-pclos-branding.patch
URL: https://launchpad.net/mintmenu
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
Requires: deskbar-applet
Requires: python >= 2.4
Requires: python < 3.0
Requires: pyxdg
Requires: gnome-python-desktop
Requires: pygtk2
Requires: pygtk2-libglade
Requires: alacarte
Requires: GConf2


%description
An advanced "slab" style menu for Linux. MintMenu supports filtering, 
favorites, autosession, and many other features.  MintMenu can either be
added to your gnome-panel or launched in its own window.

#german
%description -l de
Ein fortschrittliches "Platte" Stil-Menü für Linux. MintMenu unterstützt Filterung,
Favoriten, Autosession, und viele andere Eigenschaften. MintMenu kann entweder
zusätzlich zu Ihrer Gnome-Panel gestartet werden oder in einem eigenen Fenster.


%prep
%setup -q -n mintmenu
%patch0 -p1
%patch3 -p1
%patch4 -p1

%build


%install
rm -rf %{buildroot}

#clean out questionably liscensed files.
rm -rf usr/lib/linuxmint/mintMenu/mint*.png
rm -rf usr/lib/linuxmint/mintMenu/mint*.svg
rm -rf usr/lib/linuxmint/mintMenu/visualisation-logo.png

mkdir -p %{buildroot}/usr
install -d -p %{buildroot}/%{_bindir}/
install -m 755 -p usr/bin/mintmenu %{buildroot}/%{_bindir}/mintmenu
install -d -p %{buildroot}/%{_datadir}/linuxmint
install -d -p %{buildroot}/%{_datadir}/linuxmint/mintMenu
install -m 644 -p %SOURCE2 %{buildroot}/%{_datadir}/linuxmint/mintMenu/
install -m 644 -p usr/lib/linuxmint/mintMenu/*.* %{buildroot}/%{_datadir}/linuxmint/mintMenu/
rm -rf %{buildroot}/%{_datadir}/linuxmint/mintMenu/*.py
rm -rf %{buildroot}/%{_datadir}/linuxmint/mintMenu/*.orig
install -m 755 -p usr/lib/linuxmint/mintMenu/*.py %{buildroot}/%{_datadir}/linuxmint/mintMenu/
install -d -p %{buildroot}/%{_datadir}/linuxmint/mintMenu/plugins
install -m 644 -p usr/lib/linuxmint/mintMenu/plugins/* %{buildroot}/%{_datadir}/linuxmint/mintMenu/plugins/
install -m 755 -p usr/lib/linuxmint/mintMenu/plugins/*.py %{buildroot}/%{_datadir}/linuxmint/mintMenu/plugins/
install -d -p %{buildroot}/%{_datadir}/linuxmint/mintMenu/search_engines
install -m 644 -p usr/lib/linuxmint/mintMenu/search_engines/* %{buildroot}/%{_datadir}/linuxmint/mintMenu/search_engines/
install -d -p %{buildroot}/%{_prefix}/lib/bonobo/servers/
install -m 644 -p usr/lib/bonobo/servers/mintMenu.server %{buildroot}/%{_prefix}/lib/bonobo/servers/mintMenu.server

#add locale
tar xfvj %SOURCE1 -C %{buildroot}/%{_datadir}/linuxmint/

#fix version dialog
mkdir -p %{buildroot}/%{_datadir}/linuxmint/common
cat > %{buildroot}/%{_datadir}/linuxmint/common/version.py  <<EOF
#!/usr/bin/python
print "%{version}"
EOF

chmod +x %{buildroot}/%{_datadir}/linuxmint/common/version.py

%clean
rm -rf %{buildroot}

%post
ln -s /usr/share/linuxmint /usr/lib/
killall nautilus
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/mintMenu/start_with_favorites true
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type integer --set /apps/mintMenu/border_width "3"

%postun
rm -rf /usr/lib/linuxmint

%files
%defattr(-,root,root,-)
%{_bindir}/mintmenu
%{_libdir}/bonobo
%{_datadir}/linuxmint


%changelog
* Mon Sep 19 2011 Ertain <sirius-c at iname.com> 5.2.2-1pclos2011
- 5.2.2

* Fri Feb 04 2011 maik3531 <maik3531 at yahoo.de> 5.1.6-2pclos2011
- Language files updated
- import search_engines
- add search plugin patch

* Fri Feb 04 2011 maik3531 <maik3531 at yahoo.de> 5.1.6-1pclos2011
- 5.1.6
- fix patchs
- remove desktop-item-edit.patch

* Tue Jul 13 2010 maik3531 <maik3531 at yahoo.de> 4.9.9-4pclos2010
- add patch remove-desktop-item-edit.patch (non functioning menu items disabled)
- add mintmenu-pclos-branding.patch (pclos icon to default menuicon)

* Tue Jul 06 2010 maik3531 <maik3531 at yahoo.de> 4.9.9-3pclos2010
- fix locales and add more Languages (66)
- add patch terminal_launcher.patch thewholeshebang.patch

* Sun Jul 04 2010 maik3531 <maik3531 at yahoo.de> 4.9.9-2pclos2010
- add locales
- add a patch to remove with apt/synaptic
- add patch for to drakconf to menu
- fix version dialog

* Sun May 16 2010 slick50 <lxgator@gmail.com> 4.9.9-1pclos2010
- 4.9.9
- add german synaptic description (leiche)

* Wed May 05 2010 leiche <meisssw01 at aol.com> 4.9.8-1pclos
- import to pclinuxos


